[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [debian-knoppix] ash-knoppix outdated?

Am Dienstag, 24. Juni 2003 05:13 schrieb Lionel Elie Mamane:
> Hi,
> ash-knoppix is quite outdated. Please consider replacing it with
> Debian's dash.

No :-)

As debians mkinitrd prefers dash if its installed and both packages can be 
installed, there is no problem at all ...

Thats why dash is now also included into knoppix to prevent those problems and 
make initrd-tools work.



> The specific problem that leads me to make this request is that
> ash-knoppix is unable to execute the "linuxrc" of Debian's mkinitrd,
> leading to non-bootability of (newer, initrd-using) Debian kernels on
> a Knoppix system (installed to HD). Specifically, trapping SIGUSR1
> doesn't work, mount doesn't take -n and the "for i;" construct is not
> supported.
> I encountered this during last weekend's "Linux Fest"
> (http://www.lilux.lu/events/2003/fest.html): Someone came with a
> Knoppix system already installed on HD, and asked us to install sound
> support, for which I needed alsa. I thought the easiest solution would
> be installing a Debian kernel and the corresponding pre-compiled alsa
> modules, but the kernel won't boot. Took me quite some time to
> determine ash-knoppix's responsibility in this.
> Best regards,

debian-knoppix mailing list

Reply to: